get
https://www.clickpost.in/api/v2/pincode_details/
The API takes the 6 digit Indian pincode and returns the corresponding city and state
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
This API can we used to validate the pincodes on PDP pages and checkout flows, it will return the city and state corresponding to a valid Indian pincode
API Response
{
"meta": {
"success": true,
"status": 200,
"message": "Success"
},
"result": {
"pincode": "380055",
"city": "AHMEDABAD",
"state": "GUJARAT"
}
}{
"meta": {
"success": false,
"status": 404,
"message": "Not found: 381111"
},
"result": {}
}